<?php

/*******************************************************************************

	Шаблон: O-Drive (Orange Drive Energy) 
	Год: 2012
	Месяц: Февраль
	Copyright: Dezerit Web Groupe
	Сайт: dezerit.org.ua
	Тип продукта: Коммерческий шаблон
	Версия шаблона: 1.8
	
********************************************************************************/

/*Ширина шаблона*/
	$templ['width'] = 0;	/*Установка пользовательской фиксированой ширины.
							0 - ширина шаблона по умолчанию, динамическая 960-1400 пикселей.
							Введите значение, от 960 до 1400, если нужно задать другую фиксированную ширину шаблона.
							Рекомендуемое значение не более 1200, не используйте значения меньше 960 и больше 1400!
							Внимание! При использовании данной опции следующие две $templ['maxwidth'] и $templ['minwidth'] должны быть установлены в положение 0*/
							

	
	$templ['maxwidth'] = 0;	/*Установка максимальной пользовательской динамической ширины.
							0 - ширина шаблона по умолчанию, динамическая 960-1400 пикселей.
							Введите значение, от 960 до 1400, если нужно задать другую максимальную ширину шаблона.
							Не используйте значения меньше 960 и больше 1400!*/
	
	$templ['minwidth'] = 0; /*Установка минимальной пользовательской динамической ширины.
							0 - ширина шаблона по умолчанию, динамическая 960-1400 пикселей.
							Введите значение, от 960 до 1400, если нужно задать другую минимальную ширину шаблона.
							Не используйте значения меньше 960 и больше 1400!*/

/*Отображение шаблона*/	

							/*Внимание! Одновременно можно включать только 1 опцию из $templ['full'], $templ['full_l'], $templ['full_r'] */
						
	$templ['full'] = 0;		/*Принудительный одноколоночный режим. Дать все пространство шаблона компонентам "Форум" и "Пользователи".
							1-левая колонка не отображается на страницах форума и пользователей, даже если в ней выведены модули.
							0-отлючение одноколоночного режима для страниц форума и пользователей*/
	
	
	$templ['full_l'] = 1;	/*Принудительный двухколоночный режим. Дать больше пространства шаблона компонентам "Форум" и "Пользователи".
							1-правая колонка не отображается на страницах форума и пользователей, даже если в ней выведены модули.
							0-отлючение этого режима*/
	
	$templ['full_r'] = 0;	/*Принудительный двухколоночный режим. Дать больше пространства шаблона компонентам "Форум" и "Пользователи".
							1-левая колонка не отображается на страницах форума и пользователей, даже если в ней выведены модули.
							0-отлючение этого режима*/
	
	$templ['ie6'] = 0;      /*Включение не рекомендуется. Режим вывода заглушки для Internet Explorer 6. 
							1 - включить заглушку. Заглушка попадает в код страницы во всех браузерах.
							0 - заглушка отключена.
							*/

							
							
/*Блок "Powered by"*/
	$templ['powered'] = 1;	/*Включение и отключение блока ссылок на сайты производителей шаблона и CMS
							1-отбражается, 0-отключен*/						
							
	

/*Tabber*/

	$tabber['status'] = 1;  /*Статус блока с вкладками, 0-отключен, 1-показывать только на главной, 2-показывать на всех страницах.*/

	$tabber['name1'] = "Первая Вкладка"; /*Название 1-ой вкладки.*/
	$tabber['tab1'] = 100; 	/*Ширина одного модуля во вкладке. Измеряется в %. Чтобы использовать всю ширину вкладки, вводите 100.*/
	
	$tabber['name2'] = "Вторая вкладка"; /*Название 2-ой вкладки.*/
	$tabber['tab2'] = 50;	/*Ширина одного модуля во вкладке. Измеряется в %. Чтобы использовать всю ширину вкладки, вводите 100.*/
	
	$tabber['name3'] = "Третья вкладка";	/*Название 3-ей вкладки.*/
	$tabber['tab3'] = 100;	/*Ширина одного модуля во вкладке. Измеряется в %. Чтобы использовать всю ширину вкладки, вводите 100.*/
	
	$tabber['name4'] = "";	/*Название 4-ой вкладки.*/
	$tabber['tab4'] = 100;	/*Ширина одного модуля во вкладке. Измеряется в %. Чтобы использовать всю ширину вкладки, вводите 100.*/
	
	$tabber['name5'] = "";	/*Название 5-ой вкладки.*/
	$tabber['tab5'] = 100;	/*Ширина одного модуля во вкладке. Измеряется в %. Чтобы использовать всю ширину вкладки, вводите 100.*/
	
					
/*******************************************************************************/
?>


<?php
	$col['left_col'] = "0";
	$col['right_col'] = "0";
	if($this->countModules('left')){ $col['left_col']="1"; } 
	if($this->countModules('right')){ $col['right_col']="1"; } 
	
	
	if ($templ['full']==1){ 
		if ((substr_count($_SERVER['REQUEST_URI'], 'forum')) or (substr_count($_SERVER['REQUEST_URI'], 'users')))  { 
			$col['right_col']="0";	
			$col['left_col']="0";
		}
	}
	
	if ($templ['full_l']==1){ 
		if ((substr_count($_SERVER['REQUEST_URI'], 'forum')) or (substr_count($_SERVER['REQUEST_URI'], 'users')))  { 
			$col['right_col']="0";
		}
	}
	
	if ($templ['full_r']==1){ 
		if ((substr_count($_SERVER['REQUEST_URI'], 'forum')) or (substr_count($_SERVER['REQUEST_URI'], 'users')))  { 
			$col['left_col']="0";	
		}
	}

    $this->prependHeadJS('core/js/common.js');
    $this->prependHeadJS('includes/jquery/jquery.js');
	
	//Сolorbox
    $this->addHeadJS('includes/jquery/colorbox/jquery.colorbox.js');
    $this->addHeadCSS('includes/jquery/colorbox/colorbox.css');
    $this->addHeadJS('includes/jquery/colorbox/init_colorbox.js');
	$this->addHeadJsLang(array('CBOX_IMAGE','CBOX_FROM','CBOX_PREVIOUS','CBOX_NEXT','CBOX_CLOSE','CBOX_XHR_ERROR','CBOX_IMG_ERROR', 'CBOX_SLIDESHOWSTOP', 'CBOX_SLIDESHOWSTART'));
	$this->addHead('<script type="text/javascript">var TEMPLATE = "'.TEMPLATE.'";</script>');
	
?>

<!DOCTYPE html prefix="og: http://ogp.me/ns# video: http://ogp.me/ns/video# music: http://ogp.me/ns/music# ya: http://webmaster.yandex.ru/vocabularies/">
<html>
<head>
    <?php $this->PrintHead(); ?>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<meta name="Designer" content="Dezerit Web Group - http://dezerit.org.ua">
    <?php if($inUser->is_admin){ ?>
        <script src="/admin/js/modconfig.js" type="text/javascript"></script>
        <link href="/templates/<?php echo TEMPLATE; ?>/css/modconfig.css" rel="stylesheet" type="text/css" />
    <?php } ?>
	<script src="/templates/<?php echo TEMPLATE; ?>/js/template.js" type="text/javascript"></script>
    <link href="/templates/<?php echo TEMPLATE; ?>/css/reset.css" rel="stylesheet" type="text/css" />
    <link href="/templates/<?php echo TEMPLATE; ?>/css/text.css" rel="stylesheet" type="text/css" />
	<link href="/templates/<?php echo TEMPLATE; ?>/css/template.css" rel="stylesheet" type="text/css" /> 
	<link href="/templates/<?php echo TEMPLATE; ?>/css/styles.css" rel="stylesheet" type="text/css" />
	<link href="/templates/<?php echo TEMPLATE; ?>/css/color.css" rel="stylesheet" type="text/css">
	
	<!--[if lt IE 7]>
		<link type='text/css' href='/templates/<?php echo TEMPLATE; ?>/css/ie6.css' rel='stylesheet' />
	<![endif]-->	
	
	<?php if ($templ['width']!==0){ ?>
		<style type="text/css">
			#wrapbg, #footer, #copyright {
				max-width: <?php echo $templ['width']; ?>px !important;
				min-width: <?php echo $templ['width']; ?>px !important;
				width: <?php echo $templ['width']; ?>px !important;
			}
		</style>
	<?php } ?>
	
	<?php if ($templ['maxwidth']!==0){ ?>
		<style type="text/css">
			#wrapbg, #footer, #copyright {
				max-width: <?php echo $templ['maxwidth']; ?>px !important;
			}
		</style>
	<?php } ?>
	
	<?php if ($templ['minwidth']!==0){ ?>
		<style type="text/css">
			html, body, #wrapbg, #footer, #copyright {
				min-width: <?php echo $templ['minwidth']; ?>px !important;
			}
		</style>
	<?php } ?>
	
</head>

<body>
	<?php if ($inConf->siteoff && $inUser->is_admin) { ?>
		<div style="margin:4px; padding:5px; border:solid 1px red; background:#FFF; "><?php echo $_LANG['SITE_IS_DISABLE']; ?></div>
	<?php } ?>
	<div id="wrap_100">
 		<div id="wrapbg"><div id="wrap_l"><div id="wrap_r">
		
		<!--Header-->
		
			<div id="header_wrap">
				<div id="header_line">
				    <?php if ($inConf->is_change_lang){
                        $langs = cmsCore::getDirsList('/languages'); ?>
                        <div onclick="$('#langs-select').toggle().toggleClass('active_lang');$(this).toggleClass('active_lang'); return false;" title="<?php echo $_LANG['TEMPLATE_INTERFACE_LANG']; ?>" id="langs" style="background-image:  url(/templates/<?php echo TEMPLATE; ?>/images/icons/langs/<?php echo $inConf->lang; ?>.png);">
                            <span>&#9660;</span>
                            <ul id="langs-select">
                                <?php foreach ($langs as $lng) { ?>
                                <li onclick="setLang('<?php echo $lng; ?>'); return false;" style="background-image:  url(/templates/<?php echo TEMPLATE; ?>/images/icons/langs/<?php echo $lng; ?>.png);"><?php echo $lng; ?></li>
                                <?php } ?>
                            </ul>
                        </div>
                    <?php } ?>
					<?php if($inUser->id) { ?><div id="user_menu_box"><?php $this->printModules('user_menu'); ?></div><?php } else { ?><div id="user_login_box"><?php $this->printModules('login'); ?><a class="reg_link" href="/registration" title="<?php echo $_LANG['TEMPLATE_REGISTRATION']; ?>"><?php echo $_LANG['TEMPLATE_REGISTRATION']; ?></a></div><?php } ?>
				</div>
				<div id="header_box">
					<div id="header_center">
						<div id="search_box">
							<div id="search_mod">
								<?php $this->printModules('search'); ?>
							</div>
						</div>
						<?php if ($this->countModules('top_menu')) { ?>
							<div id="top_menu">
								<?php $this->printModules('top_menu'); ?>
								<div class="clear"></div>
							</div>
						<?php }?>
						<div id="main_menu_box">
							<div id="main_menu">
								<?php $this->printModules('main_menu'); ?>
							</div>
							<div class="clear"></div>
						</div>
					</div>
				</div>
				<div id="logo_block">
					<div id="logo">
						<a id="logo" href="/" title="<?php $this->printSitename(); ?>"></a>
					</div>
					<div id="clock_box">
						<div id="dateclock"></div>
					</div>
				</div>
				<div id="header_right">
					<?php if($this->countModules('banner1')) { ?>
						<div id="banner1"><?php $this->printModules('banner1'); ?></div>
					<?php } ?>
				</div>
				<div class="clear"></div>
			</div>

		<!--end header-->	
		

		
			<div id="wrap_box">
				<?php if($inCore->menuId()!=1) {?>
					<div id="pathway_box">
						<div id="pathway">
							<?php $this->printPathway('&rarr;'); ?>
						</div>
					</div>
				<?php } ?>
				<?php if($this->countModules('banner2')) { ?>
					<div id="banner2">
						<?php $this->printModules('banner2'); ?>
					</div>
				<?php } ?>
			<!--main columns-->
			
				<div id="columns">
					<div id="main_column_wrap">
					
					<!--main column-->
					
						<div id="main_column<?php echo $col['left_col'];?><?php echo $col['right_col'];?>">
							
						<!--Tabber-->
							
							<?php if ($tabber['status']==1 and ($inCore->menuId()==1) or $tabber['status']==2) { 	?>
								<div id="tabber_wrap">
									<div id="tabber">
										<div id="tabber_switcher">
											<?php	if ($tabber['name1'] !== ""){
												echo "<a id='tabber_title1' href='#tabber_tab1' class='tabber_title active'><span>".$tabber['name1']."</span></a>";
											} 
											if ($tabber['name2'] !== ""){
												echo "<a id='tabber_title2' href='#tabber_tab2' class='tabber_title'><span>".$tabber['name2']."</span></a>";
											}
											if ($tabber['name3'] !== ""){
												echo "<a id='tabber_title3' href='#tabber_tab3' class='tabber_title'><span>".$tabber['name3']."</span></a>";
											}
											if ($tabber['name4'] !== ""){
												echo "<a id='tabber_title4' href='#tabber_tab4' class='tabber_title'><span>".$tabber['name4']."</span></a>";
											}
											if ($tabber['name5'] !== ""){
												echo "<a id='tabber_title5' href='#tabber_tab5' class='tabber_title'><span>".$tabber['name5']."</span></a>";
											} ?>
										</div>
										<?php	
										if ($tabber['name1'] !== ""){ 
											if ($tabber['tab1'] !== 100){ ?>
												<style type="text/css">
													#tabber_tab1 .module, #tabber_tab1 .clear_module{ width: <?php echo ($tabber['tab1']-1); ?>%; float:left; margin-left:0.9%;}
												</style>
											<?php } ?>
											<div id="tabber_tab1" class="tabber_tab"><?php $this->printModules('tab1') ?></div>
										<?php } 
										if ($tabber['name2'] !== ""){ 
											if ($tabber['tab2'] !== 100){ ?>
												<style type="text/css">
													#tabber_tab2 .module, #tabber_tab2 .clear_module{ width: <?php echo ($tabber['tab2']-1); ?>%; float:left; margin-left:0.9%;}
												</style>
											<?php } ?>
											<div id="tabber_tab2" class="tabber_tab"><?php $this->printModules('tab2') ?></div>
										<?php }
										if ($tabber['name3'] !== ""){ 
											if ($tabber['tab3'] !== 100){ ?>
												<style type="text/css">
													#tabber_tab3 .module, #tabber_tab3 .clear_module{ width: <?php echo ($tabber['tab3']-1); ?>%; float:left; margin-left:0.9%;}
												</style>
											<?php } ?>
											<div id="tabber_tab3" class="tabber_tab"><?php $this->printModules('tab3') ?></div>
										<?php }
										if ($tabber['name4'] !== ""){ 
											if ($tabber['tab4'] !== 100){ ?>
												<style type="text/css">
													#tabber_tab4 .module, #tabber_tab4 .clear_module{ width: <?php echo ($tabber['tab4']-1); ?>%; float:left; margin-left:0.9%;}
												</style>
											<?php } ?>
											<div id="tabber_tab4" class="tabber_tab"><?php $this->printModules('tab4') ?></div>
										<?php }
										if ($tabber['name5'] !== ""){ 
											if ($tabber['tab5'] !== 100){ ?>
												<style type="text/css">
													#tabber_tab5 .module, #tabber_tab5 .clear_module{ width: <?php echo ($tabber['tab5']-1); ?>%; float:left; margin-left:0.9%;}
												</style>
											<?php } ?>
											<div id="tabber_tab5" class="tabber_tab"><?php $this->printModules('tab5') ?></div>
										<?php } ?>
									</div>
								</div>
								<div class="clear tabber_footer"></div>
								<?php if($this->countModules('tabber_ban')) { ?>
									<div id="tabber_banner">
										<?php $this->printModules('tabber_ban'); ?>
									</div>
									<div class="clear tabber_footer"></div>
								<?php } ?>
							<?php } ?>
							
						<!--end Tabber -->
						
						<!--Content-->
							<div id="content_box">
								<div id="content_bg">
									<div id="content_c">
										<div id="content_c_wrap">
											<?php if($this->countModules('maintop')) { ?>
												<div class="line"><?php $this->printModules('maintop'); ?></div>
											<?php } ?>
											<div class="line">
												<div id="content_wrap">
													<?php $messages = cmsCore::getSessionMessages(); ?>
													<?php if ($messages) { ?>
														<div class="sess_messages" id="sess_messages">
														<?php foreach($messages as $message){ ?>
															<?php echo $message; ?>
														<?php } ?>
														<hr>
														</div>
													<?php } ?>	
													<?php if($this->page_body){ ?>
														<div class="component">
															 <?php $this->printBody(); ?>
														</div>
													<?php } ?>
												</div>
											</div>
											<?php if($this->countModules('mainbottom')) { ?>
												<div class="line"><?php $this->printModules('mainbottom'); ?></div>
											<?php } ?>
										</div>
									</div>
								</div>
							</div>	
								
						<!--end Content-->
						
						</div>
					</div>
					
					<!--left column-->
					
					<?php if ($col['left_col']) { ?>
						<div id="left_column">
							<div id="content_l_box"><?php $this->printModules('left'); ?></div>
						</div>
					<?php } ?>
								
					<!--end left column-->
					
					<!--right column-->
					
					<?php if ($col['right_col']) { ?>
						<div id="right_column">
							<div id="content_r_box"><?php $this->printModules('right'); ?></div>
						</div>
					<?php } ?>
					
					
					<!--end right column-->
					
					<div class="clear"></div>
					
					<?php if($this->countModules('banner3')) { ?>
						<div id="banner3">
							<?php $this->printModules('banner3'); ?>
						</div>
					<?php } ?>
					<?php if($this->countModules('bottom')) { ?>
						<div id="bottom">
							<?php $this->printModules('bottom'); ?>
						</div>
					<?php } ?>
				</div>	
				
			<!--end main columns-->
			
			</div>
		</div></div></div>
	</div>
	<!--Footer-->
			
	<div id="footer_box">
		<div id="footer">
			<div id="footer_wrap">
				<div id="footer_module_box">
					<div id="footer_module_box_wrap">
						<?php $this->printModules('foo_module'); ?>
					</div>
				</div>
				<?php if($this->countModules('banner4')) { ?>
					<div id="banner4">
						<?php $this->printModules('banner4'); ?>
					</div>
				<?php } ?>	
			</div>
			<div class="clear"></div>
		</div>
	</div>
	<div id="footer_copyright">
		<div id="copyright"><p>Копирование материалов и статей с сайта <?php $this->printSitename(); ?> возможно только при размещении обратной активной ссылки на источник. <br>
			<?php $this->printSitename(); ?> &copy; <?php echo date('Y'); ?></p>
			<div id="counter">
			<?php if($templ['powered']==1){	?>
				<div id="Dezerit_Web_Group"><a href="http://dezerit.org.ua/" title="Шаблон для InstantCMS от Dezerit Web Group">&nbsp;</a></div>
				<div id="InstantCMS"><a href="http://instantcms.ru/" title="Работает на InstantCMS">&nbsp;</a></div>
			<?php } ?>
				Место для счетчиков
			</div>
		</div>
	</div>

				
	<!--end Footer-->
	
	<?php if($templ['ie6']==1){ ?>
		<noindex>
			<div id="ie6warning" style="display: none;">
					<div id="sitename"><?php $this->printSitename(); ?></div>
					<div id="title">Внимание Ваш браузер устарел!</div>
					<p class="warning">
						Мы рады приветствовать Вас на нашем сайте! К сожалению браузер, которым вы пользуетесь устарел. Он не может корректно отобразить информацию на страницах нашего сайта и очень сильно ограничивает Вас в получении полного удовлетворения от работы в интернете. Мы настоятельно рекомендуем вам обновить Ваш браузер до последней версии, или установить отличный от него продукт.
						<br/><br/>
						Для того чтобы обновить Ваш браузер до последней версии, перейдите по данной ссылке
						<a rel="nofollow" id="msie" href="http://www.microsoft.com/windows/internet-explorer" title="Microsoft Internet Explorer">Microsoft Internet Explorer</a>.
						<br/>
						Если по каким-либо причинам вы не можете обновить Ваш браузер, попробуйте в работе один из этих:
						<div class="line" id="browsers">
							<a rel="nofollow" id="firefox" href="http://getfirefox.com/" title="Mozilla Firefox">Mozilla Firefox</a>
							<a rel="nofollow" id="opera" href="http://www.opera.com/download/" title="Opera">Opera</a>
							<a rel="nofollow" id="chrome" href="http://www.google.com/chrome" title="Google Chrome">Google Chrome</a>
							<a rel="nofollow" id="safari" href="http://www.apple.com/safari/download/" title="Apple Safari">Apple Safari</a>
						</div>
						<div id="preim">Какие преимущества от перехода на более новый браузер? </div>
						<ul id="warning">
							<li>
								Скорость работы. Веб-сайты загружаются быстрее;
							</li>
							<li>
								Веб-страницы отображаются корректно, что снижает риск пропуска важной информации;
							</li>
							<li>
								Больше удобств в работе с браузером;
							</li>
							<li>
								Улучшена безопасность работы в интернете.
							</li>
						<ul>
					</p>
			</div>
		</noindex>
	<?php } ?>

	<?php if($inConf->debug && $inUser->is_admin){ cmsPage::includeTemplateFile('special/debug.php'); } ?>
	
    <script type="text/javascript">
        $(function(){
            $('#sess_messages').hide().fadeIn();
        });
    </script>	
	
</body>

</html>